package com.ruoyi.system.domain.houseManage;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 房屋管理对象 house_manage
 * 
 * @author boman
 * @date 2025-02-14
 */
public class HouseManage extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 房屋管理主键 */
    private Long portalId;

    /** 详细门牌号 */
    @Excel(name = "详细门牌号")
    private String houseAddress;

    /** 权利人 */
    @Excel(name = "权利人")
    private String houseOwnership;

    /** 建筑面积 */
    @Excel(name = "建筑面积")
    private String floorage;

    /** 房型 */
    @Excel(name = "房型")
    private String roomType;

    /** 用途 */
    @Excel(name = "用途")
    private String purpose;

    /** 权利类型 */
    @Excel(name = "权利类型")
    private String typeOfRights;

    /** 权利期限 */
    @Excel(name = "权利期限")
    private String termOfRights;

    /** 是否有车位 */
    @Excel(name = "是否有车位")
    private String isPark;

    public void setPortalId(Long portalId) 
    {
        this.portalId = portalId;
    }

    public Long getPortalId() 
    {
        return portalId;
    }
    public void setHouseAddress(String houseAddress) 
    {
        this.houseAddress = houseAddress;
    }

    public String getHouseAddress() 
    {
        return houseAddress;
    }
    public void setHouseOwnership(String houseOwnership) 
    {
        this.houseOwnership = houseOwnership;
    }

    public String getHouseOwnership() 
    {
        return houseOwnership;
    }
    public void setFloorage(String floorage) 
    {
        this.floorage = floorage;
    }

    public String getFloorage() 
    {
        return floorage;
    }
    public void setRoomType(String roomType) 
    {
        this.roomType = roomType;
    }

    public String getRoomType() 
    {
        return roomType;
    }
    public void setPurpose(String purpose) 
    {
        this.purpose = purpose;
    }

    public String getPurpose() 
    {
        return purpose;
    }
    public void setTypeOfRights(String typeOfRights) 
    {
        this.typeOfRights = typeOfRights;
    }

    public String getTypeOfRights() 
    {
        return typeOfRights;
    }
    public void setTermOfRights(String termOfRights) 
    {
        this.termOfRights = termOfRights;
    }

    public String getTermOfRights() 
    {
        return termOfRights;
    }
    public void setIsPark(String isPark) 
    {
        this.isPark = isPark;
    }

    public String getIsPark() 
    {
        return isPark;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("portalId", getPortalId())
            .append("houseAddress", getHouseAddress())
            .append("houseOwnership", getHouseOwnership())
            .append("floorage", getFloorage())
            .append("roomType", getRoomType())
            .append("purpose", getPurpose())
            .append("typeOfRights", getTypeOfRights())
            .append("termOfRights", getTermOfRights())
            .append("isPark", getIsPark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
